<?xml version="1.0" encoding="UTF-8" ?>
<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      f:schemaLocation="https://fluidtypo3.org/schemas/fluid-master.xsd"
      v:schemaLocation="https://fluidtypo3.org/schemas/vhs-master.xsd"
      xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers"
      xmlns:drk="http://typo3.org/ns/Drk/Template/ViewHelpers"
      data-namespace-typo3-fluid="true">

<f:layout name="Detail"/>
<!--
	=====================
		News/Detail.html
-->

<f:section name="content">
    <f:asset.css identifier="drk_publication-css-list" href="EXT:drkservice_publications/Resources/Public/Css/publications.css"></f:asset.css>
     <f:if condition="{newsItem}">
        <f:then>
            <f:render partial="Detail/NewsItemPublication" section="item" arguments="{newsItem: newsItem,settings:settings}" />

            <f:render section="keyvalue" arguments="{key:'Format', value:newsItem.publicationFormat}" />
            <f:render section="keyvalue" arguments="{key:'Seitenzahl', value:newsItem.publicationPagesCount}" />
            <f:render section="keyvalue" arguments="{key:'Sprache', value:newsItem.publicationLanguage}" />
            <f:render section="keyvalue" arguments="{key:'Veröffentlicher', value:newsItem.publicationPublisher}" />
            <f:render section="keyvalue" arguments="{key:'Artikelnummer', value:newsItem.publicationItemNumber}" />
            <f:render section="keyvalue" arguments="{key:'ISSN', value:newsItem.publicationIssn}" />
            <f:render section="keyvalue" arguments="{key:'ISBN', value:newsItem.publicationIsbn}" />
            <f:render section="keyvalue" arguments="{key:'EAN', value:newsItem.publicationEan}" />
            <f:render section="keyvalue" arguments="{key:'Bestellnummer', value:newsItem.publicationOrdernumber}" />
            <f:render section="keyvalue" arguments="{key:'Hinweise', value:newsItem.publicationNotes}" />
            <f:render section="keyvalue" arguments="{key:'Bestelltext', value:newsItem.publicationOrdertext}" />

            <f:if condition="{settings.detail.showPrevNext}">
                <n:simplePrevNext pidList="{newsItem.pid}" news="{newsItem}" as="paginated" sortField="datetime">
                    <f:if condition="{paginated}">
                        <ul class="pager">
                            <f:if condition="{paginated.prev}">
                                <li class="previous">
                                    <n:link newsItem="{paginated.prev}" settings="{settings}">
                                        <span aria-hidden="true">&larr; </span>{paginated.prev.title}
                                    </n:link>
                                </li>
                            </f:if>
                            <f:if condition="{paginated.next}">
                                <li class="next">
                                    <n:link newsItem="{paginated.next}" settings="{settings}" class="next">
                                        {paginated.next.title} <span aria-hidden="true"> &rarr;</span>
                                    </n:link>
                                </li>
                            </f:if>
                        </ul>
                    </f:if>
                </n:simplePrevNext>
            </f:if>

            <f:if condition="{settings.backPid}">
                <!-- Link Back -->
                <div class="news-backlink-wrap button button--secondary">
                    <f:link.page pageUid="{settings.backPid}">
                        <f:translate key="back-link"/>
                    </f:link.page>
                </div>
            </f:if>

            <f:if condition="{settings.detail.showSocialShareButtons}">
                <f:comment>
                    Care about the privacy of your readers?
                    Checkout https://typo3.org/extensions/repository/view/rx_shariff
                    and it will be used automatically!
                </f:comment>
                <n:extensionLoaded extensionKey="rx_shariff">
                    <f:render partial="Detail/Shariff"/>
                </n:extensionLoaded>
            </f:if>

            <!-- related things -->
            <div class="news-related-wrap">
                <f:comment>
                    Various options exist to fetch different related information:
                    - {newsItem.allRelatedSorted}: all related news, related und related from, sorted by date
                    - {newsItem.related}: all related
                    - {newsItem.relatedSorted}: all related, sorted by date
                    - {newsItem.relatedFrom}: all related from
                    - {newsItem.relatedFromSortedByForeign}: all related from sorted by foreign sorting
                    - {newsItem.relatedFromSorted}: all related from, sorted by date
                </f:comment>

                <f:if condition="{newsItem.allRelatedSorted}">
                    <!-- Related news records -->
                    <div class="news-related news-related-news">
                        <h4>
                            <f:translate extensionName="DrkservicePublications" key="related-news-publication"/>
                        </h4>
                        <ul class="related-news__publicationlist">
                            <f:for each="{newsItem.allRelatedSorted}" as="related">
                                <li class="related-news__publication">
                                    <f:render partial="Detail/NewsItemPublicationImage" section="item" arguments="{newsItem: newsItem,settings:settings}" />
                                    <span class="news-related-news-link">
                                    <n:link newsItem="{related}" settings="{settings}" title="{related.title}">
                                        {related.title}
                                    </n:link>
                                    </span>
                                </li>

                            </f:for>
                        </ul>
                    </div>
                </f:if>
                <f:if condition="{newsItem.relatedLinks}">
                    <!-- Related links -->
                    <div class="news-related news-related-links">
                        <h4>
                            <f:translate key="related-links"/>
                        </h4>
                        <ul>
                            <f:for each="{newsItem.relatedLinks}" as="relatedLink">
                                <li>
                                    <f:link.typolink parameter="{relatedLink.uri}" title="{relatedLink.title}" target="{n:targetLink(link:relatedLink.uri)}">
                                        {f:if(condition: relatedLink.title, then: relatedLink.title, else:
                                        relatedLink.uri)}
                                    </f:link.typolink>
                                    <f:if condition="{relatedLink.description}">
                                        <span>{relatedLink.description}</span>
                                    </f:if>
                                </li>
                            </f:for>
                        </ul>
                    </div>
                </f:if>
            </div>
        </f:then>
        <f:else>

        </f:else>
    </f:if>

</f:section>

<f:section name="keyvalue">
    <f:if condition="{value}">
        <dl>
            <dt>
                {key}
            </dt>
            <dd>
                {value}
            </dd>
        </dl>
    </f:if>
</f:section>


</html>
